/*-----------------------------------------------------------*/
/* Styling which is not visible inside Webflow               */
/*-----------------------------------------------------------*/


img {
    pointer-events: none;
}






/*-----------------------------------------------------------*/
/* Transition                                                */
/*-----------------------------------------------------------*/




body:not(.body-ready) .nav__logo__embed,
body:not(.body-ready) .nav__link__text,
body:not(.body-ready) .nav__link__dd-icon,
body:not(.body-ready) .nav__search__form {
    transform: translateY(100%);
}

body:not(.body-ready) .nav__burger__line__fill {
    transform: scaleX(0);
}


.body-ready .nav__burger__line:first-child {
    transition-delay: 0.2s;
}

.body-ready .nav__burger__line:last-child {
    transition-delay: 0.4s;
}


.nav__logo__embed,
.nav__link__text,
.nav__link__dd-icon,
.nav__search__form {
    transition-delay: calc(0.05s * var(--index));
}

body:not(.body-ready) .nav__line {
    transform: scaleX(0);
}

.barba__main:not(.page-loaded) .hh__img-wrapper,
body.body-blocker .barba__main .hh__img-wrapper,
.barba__main:not(.page-loaded) .cms-ang__bg__wrapper.hero {
    transform: translateY(30%);
    opacity: 0;
}

body.body-blocker .nav * {
    pointer-events: none !important;
}

.barba__main:not(.page-loaded) .hh__bg-img {
    opacity: 0;
}

.barba__main:not(.page-loaded) .ang-lst__collection__item {
    transform: translateY(50%);
    opacity: 0;
}


.utl__line[cb-scrolltrigger-state="true"]{
    transition-delay: 0.3s;
}
.utl__line[cb-scrolltrigger-state="true"]:not(.cb-inview) {
    transform: scaleX(0);
}



body.first-load .barba__main:not(.page-loaded) {
    transform: scale(0.8);
}

.barba__main::after {
    content: "";
    position: absolute;
    z-index: 100;
    display: block;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    background-color: var(--white);
    transform: translateY(0%) scaleY(0);
    transform-origin: bottom;
}

.first-load .barba__main.page-loaded::after {
    animation-name: pagetransitionoverlay;
    animation-duration: 1.5s;
    animation-timing-function: cubic-bezier(0.56, 0, 0.35, 0.98);
}

.utl__scroller {
    transition-delay: 0.75s;
}

.first-load .barba__main:not(.page-loaded) .utl__scroller {
    opacity: 0;
}

.barba__main.page-unload {
    opacity: 0.8;
    transition-timing-function: ease;
    transition-duration: 1s;
    transition-property: opacity;
    transition-delay: 0.4s;
}




.barba__main.barba-old::after {
    display: none;
}


@keyframes pagetransitionoverlay {
    0% {
        transform: translateY(0%) scaleY(0);
    }

    50% {
        transform: translateY(0%) scaleY(1);
    }

    100% {
        transform: translateY(-100%) scaleY(1);
    }
}





/*-----------------------------------------------------------*/
/* Textreveals                                               */
/*-----------------------------------------------------------*/


[cb-textreveal-element=text]:not(.cb-ts__active, .cb-ts__visible) {
    opacity: 0;
}





/*-----------------------------------------------------------*/
/* CTA                                                       */
/*-----------------------------------------------------------*/





/*-----------------------------------------------------------*/
/* Kontakt                                                   */
/*-----------------------------------------------------------*/

.kon__section .utl__line {
    transition-delay: calc(0.3s + 0.1s * var(--index) + var(--delay));
}

.barba__main:not(.page-loaded) .kon__section .utl__line {
    transform: scaleX(0);
}

.barba__main:not(.page-loaded) .kon-cta {
    transform: translateY(100%);
}

@media screen and (max-width: 991px) {
    .barba__main:not(.page-loaded) .kon-cta {
        opacity: 0;
        transform: translateY(50%);
    }
}
.kon__icon__wrapper {
    overflow: visible;
}
.kon-cta {
    transition-delay: calc(0.8s + var(--delay));
}

.kon__icon {
    opacity: 0;
    transition-duration: 1s;
    filter: blur(20px);
    color: var(--primary-hover);
    transition: transform 1s cubic-bezier(0.165, 0.84, 0.44, 1),
    filter 1s cubic-bezier(0.165, 0.84, 0.44, 1),
    opacity 1s cubic-bezier(0.165, 0.84, 0.44, 1),
    color 0.85s cubic-bezier(0.59, 0.01, 0.99, 0.53);
    transition-delay: calc(0.2s + (0.2s / var(--length) * var(--index)) + var(--delay));
    transform: translateY(100%);
}

.page-loaded .kon__icon {
    transform: translateY(0%);
    opacity: 1;
    filter: blur(0px);
    color: inherit;
}

.barba__main:not(.page-loaded) .kon__img-front {
    opacity: 0;
}

.kon__img-front {
    transition-delay: calc(var(--delay) + 0.5s);
}




/* Home Hero */

/* Animation: Dummy */

.hh__bg__dummy { 
    transition: transform 1.5s cubic-bezier(0.44, 0, 0.25, 0.99),
                filter 1.5s cubic-bezier(0.165, 0.84, 0.44, 1);
    transform: scale(1);
    opacity: 1;
    transform-origin: center center;
    filter: blur(0px);
}
body:not(.body-ready) .hh__bg__dummy {
    transform: scale(0.5);
    border-radius: 16px;
    filter: blur(0px);
}


/* Animation: Background */

body:not(.body-ready) .hh__bg__wrapper {
    opacity: 0;
    opacity: calc(var(--progress) / 100);
}



/* Animation: Overflow Dummy */

.hh__bg__dummy .hh__bg__dummy-overflow {
    overflow: hidden;
    border-radius: 0px;
    transition: border-radius 1.5s cubic-bezier(0.44, 0, 0.25, 0.99);
}

body:not(.body-ready) .hh__bg__dummy .hh__bg__dummy-overflow {
    filter: blur(calc((100 - var(--progress)) * 0.5px));
}

body:not(.body-ready) .hh__bg__dummy-overflow {
    border-radius: 20px;
}
.hh__bg__dummy.transition-finished .hh__bg__dummy-overflow {
    overflow: visible;
}





body:not(.body-ready) {
  cursor: wait !important;
}

body:not(.body-ready) .hh__heading,
body:not(.body-ready) .hh__img-wrapper {
    pointer-events: none;
}

body .hh__bg__loading__border::before {
    content: '';
    position: absolute;
    transition: top 1.5s cubic-bezier(0.165, 0.84, 0.44, 1),
                right 1.5s cubic-bezier(0.165, 0.84, 0.44, 1),
                bottom 1.5s cubic-bezier(0.165, 0.84, 0.44, 1),
                left 1.5s cubic-bezier(0.165, 0.84, 0.44, 1),
                border-radius 1s cubic-bezier(0.165, 0.84, 0.44, 1),
                opacity .5s ease;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border-radius: 0px;
    background: conic-gradient(
      from 0deg,
      transparent 0%,
      var(--black) 0% calc(var(--progress) * 1%),
      transparent calc(var(--progress) * 1%)
    );
    mask: 
      linear-gradient(#fff, #fff),
      linear-gradient(#fff, #fff);
    mask-clip: border-box, content-box;
    mask-composite: exclude;
    padding: 2px; /* Border width */
    opacity: 0;
}

body:not(.body-ready) .hh__bg__loading__border::before {
    top: -20px;
    left: -20px;
    right: -20px;
    bottom: -20px;
    opacity: 1;
    border-radius: 35px;
}


.home-page .nav,
[data-barba-namespace="home"] .hh__img-wrapper,
[data-barba-namespace="home"] .hh__heading {
    --delay: 0.7s;
}

.home-page .nav__line {
    transition-delay: var(--delay);
}





.home-page .nav__logo__embed, 
.home-page .nav__link__text, 
.home-page .nav__link__dd-icon, 
.home-page .nav__search__form {
    transition-delay: calc(0.05s * var(--index) + var(--delay));
}
.home-page.body-ready .nav__burger__line__fill {
    transition-delay: calc(0.2s * var(--index) + var(--delay) + 1s);
}
@media (max-width: 991px) {
    .home-page .nav__link__dd-icon {
        transition-delay: 0s;
    }
}



@media screen and (max-width: 479px) {
    body:not(.body-ready) .hh__bg__loading__border::before {
        border-radius: 20px;
    }
    body:not(.body-ready) .hh__bg__dummy-overflow {
        border-radius: 10px;
    }
}





/*-----------------------------------------------------------*/
/* CMS Blog                                                  */
/*-----------------------------------------------------------*/


.barba__main:not(.page-loaded) .cms-blg__img__parallax {
    transform: translateY(50%);
}

.barba__main:not(.page-loaded) .cms-blg__img__overlay {
    transform: scaleY(1);
}



.blg-flt__search,
.blg-flt__cat__wrapper,
.blg-lst__page .blg-lst__collection-container {
    transition-delay: calc(0.2s + 0.1s * var(--index) + var(--delay));
}

.barba__main:not(.page-loaded) .blg-flt__search,
.barba__main:not(.page-loaded) .blg-flt__cat__wrapper,
.barba__main:not(.page-loaded) .blg-lst__page .blg-lst__collection-container {
    transform: translateY(60px);
    opacity: 0;
}












/*-----------------------------------------------------------*/
/* Ueber mich                                                */
/*-----------------------------------------------------------*/


.barba__main:not(.page-loaded) .ubr__bg__wrapper {
    transform: translateY(50%);
    opacity: 0;
}
.ubr__vid:not(.vid-started) .cb-player__controls {
    transform: translateY(40px);
    opacity: 0;
}













.fcs__heading {
    position: absolute
}
.fcs__section {
    margin-top: -80svh
}

[lang=de] .fcs__section,
[lang=de] [cb-fcs-element=line] {
    display: none;
}

